Skip to main content
POST
/
v1
/
sessions
/
{session_id}
/
agent
/
run
Run Agent Task
curl --request POST \
  --url https://api.anchorbrowser.io/v1/sessions/{session_id}/agent/run \
  --header 'Content-Type: application/json' \
  --header 'anchor-api-key: <api-key>' \
  --data '
{
  "prompt": "<string>"
}
'
{}

Authorizations

anchor-api-key
string
header
required

API key passed in the header

Path Parameters

session_id
string
required

Body

application/json
prompt
string
required

The task for the agent to perform.

agent
enum<string>
default:browser-use
Available options:
openai-cua,
browser-use,
gemini-computer-use,
anthropic-cua,
yutori
output_schema
object
highlight_elements
boolean
detect_elements
boolean
human_intervention
boolean
max_steps
integer
default:200
provider
string
model
string
secret_values
object

Response

Agent task completed.

Perform-web-task result (includes result, status, and data).